org.jboss.shrinkwrap.descriptor.api.j2ee14

## Interface MessageDestinationRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface MessageDestinationRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `message-destination-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageDestinationRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getMessageDestinationLink()` Returns the `message-destination-link` element
    `java.lang.String` | `getMessageDestinationRefName()` Returns the `message-destination-ref-name` element
    `java.lang.String` | `getMessageDestinationType()` Returns the `message-destination-type` element
    `MessageDestinationUsageType` | `getMessageDestinationUsage()` Returns the `message-destination-usage` element
    `java.lang.String` | `getMessageDestinationUsageAsString()` Returns the `message-destination-usage` element
    `MessageDestinationRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `MessageDestinationRefType<T>` | `messageDestinationLink(java.lang.String messageDestinationLink)` Sets the `message-destination-link` element
    `MessageDestinationRefType<T>` | `messageDestinationRefName(java.lang.String messageDestinationRefName)` Sets the `message-destination-ref-name` element
    `MessageDestinationRefType<T>` | `messageDestinationType(java.lang.String messageDestinationType)` Sets the `message-destination-type` element
    `MessageDestinationRefType<T>` | `messageDestinationUsage(MessageDestinationUsageType messageDestinationUsage)` Sets the `message-destination-usage` element
    `MessageDestinationRefType<T>` | `messageDestinationUsage(java.lang.String messageDestinationUsage)` Sets the `message-destination-usage` element
    `MessageDestinationRefType<T>` | `removeAllDescription()` Removes the `description` element
    `MessageDestinationRefType<T>` | `removeId()` Removes the `id` attribute
    `MessageDestinationRefType<T>` | `removeMessageDestinationLink()` Removes the `message-destination-link` element
    `MessageDestinationRefType<T>` | `removeMessageDestinationRefName()` Removes the `message-destination-ref-name` element
    `MessageDestinationRefType<T>` | `removeMessageDestinationType()` Removes the `message-destination-type` element
    `MessageDestinationRefType<T>` | `removeMessageDestinationUsage()` Removes the `message-destination-usage` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          MessageDestinationRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          MessageDestinationRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### messageDestinationRefName

          MessageDestinationRefType<T> messageDestinationRefName(java.lang.String messageDestinationRefName)

      Sets the `message-destination-ref-name` element
      Parameters:
        `messageDestinationRefName` - the value for the element `message-destination-ref-name`
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### getMessageDestinationRefName

          java.lang.String getMessageDestinationRefName()

      Returns the `message-destination-ref-name` element
      Returns:
        the node defined for the element `message-destination-ref-name`

    - #### removeMessageDestinationRefName

          MessageDestinationRefType<T> removeMessageDestinationRefName()

      Removes the `message-destination-ref-name` element
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### messageDestinationType

          MessageDestinationRefType<T> messageDestinationType(java.lang.String messageDestinationType)

      Sets the `message-destination-type` element
      Parameters:
        `messageDestinationType` - the value for the element `message-destination-type`
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### getMessageDestinationType

          java.lang.String getMessageDestinationType()

      Returns the `message-destination-type` element
      Returns:
        the node defined for the element `message-destination-type`

    - #### removeMessageDestinationType

          MessageDestinationRefType<T> removeMessageDestinationType()

      Removes the `message-destination-type` element
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### messageDestinationUsage

          MessageDestinationRefType<T> messageDestinationUsage(MessageDestinationUsageType messageDestinationUsage)

      Sets the `message-destination-usage` element
      Parameters:
        `messageDestinationUsage` - the value for the element `message-destination-usage`
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### messageDestinationUsage

          MessageDestinationRefType<T> messageDestinationUsage(java.lang.String messageDestinationUsage)

      Sets the `message-destination-usage` element
      Parameters:
        `messageDestinationUsage` - the value for the element `message-destination-usage`
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### getMessageDestinationUsage

          MessageDestinationUsageType getMessageDestinationUsage()

      Returns the `message-destination-usage` element
      Returns:
        the value found for the element `message-destination-usage`

    - #### getMessageDestinationUsageAsString

          java.lang.String getMessageDestinationUsageAsString()

      Returns the `message-destination-usage` element
      Returns:
        the value found for the element `message-destination-usage`

    - #### removeMessageDestinationUsage

          MessageDestinationRefType<T> removeMessageDestinationUsage()

      Removes the `message-destination-usage` attribute
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### messageDestinationLink

          MessageDestinationRefType<T> messageDestinationLink(java.lang.String messageDestinationLink)

      Sets the `message-destination-link` element
      Parameters:
        `messageDestinationLink` - the value for the element `message-destination-link`
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### getMessageDestinationLink

          java.lang.String getMessageDestinationLink()

      Returns the `message-destination-link` element
      Returns:
        the node defined for the element `message-destination-link`

    - #### removeMessageDestinationLink

          MessageDestinationRefType<T> removeMessageDestinationLink()

      Removes the `message-destination-link` element
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### id

          MessageDestinationRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `MessageDestinationRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          MessageDestinationRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `MessageDestinationRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)